package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.Student;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.TeachModeEnum;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020.05.27
 */
public class StudentServeDto extends Student {

    private GroupType groupType;

    private TeachModeEnum teachMode;

    private Date courseStartTime;

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public Date getCourseStartTime() {
        return courseStartTime;
    }

    public void setCourseStartTime(Date courseStartTime) {
        this.courseStartTime = courseStartTime;
    }
}
